org.apache.cassandra.utils

## Class Murmur3BloomFilter

- java.lang.Object
- - org.apache.cassandra.utils.BloomFilter
  - - org.apache.cassandra.utils.Murmur3BloomFilter

All Implemented Interfaces:
  java.io.Closeable, java.lang.AutoCloseable, IFilter

    public class Murmur3BloomFilter
    extends BloomFilter

### Nested Class Summary

Nested Classes
`static class` `Murmur3BloomFilter.Murmur3BloomFilterSerializer`

### Field Summary

Fields
`static Murmur3BloomFilter.Murmur3BloomFilterSerializer` `serializer`

### Fields inherited from class org.apache.cassandra.utils.BloomFilter

`bitset, hashCount`

### Constructor Summary

Constructors
Constructor and Description
`Murmur3BloomFilter(int hashes, IBitSet bs)`

### Method Summary

Methods
`protected void` `hash(java.nio.ByteBuffer b, int position, int remaining, long seed, long[] result)`
`long` `serializedSize()`

### Methods inherited from class org.apache.cassandra.utils.BloomFilter

`add, clear, close, getHashBuckets, isPresent`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### serializer

    public static final Murmur3BloomFilter.Murmur3BloomFilterSerializer serializer

### Constructor Detail

#### Murmur3BloomFilter

    public Murmur3BloomFilter(int hashes,
                      IBitSet bs)

### Method Detail

#### serializedSize

    public long serializedSize()

#### hash

    protected void hash(java.nio.ByteBuffer b,
            int position,
            int remaining,
            long seed,
            long[] result)

Specified by:
  `hash` in class `BloomFilter`